Skip to Content
avatar image
Former Member

Wily agent update on solman 7.1

Hi, all

I have installed the Wily EM version 9. However, the agent deployed by solman 7.1 is still version 8. I know that you can install the agent manually. But is there is a way to get solman to deploy the agent gracefully? Since the bytcode installation will fail if I deploy the agent manually, is there any impact to the solman modules that use Wily?

Thanks,

Jonathan.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Best Answer
    avatar image
    Former Member
    Aug 15, 2013 at 01:22 PM

    Thank you all for your response. The SMD agents are automatically restarted after I turn off maintenance mode on the agent admin. So yes, they are all restarted. However, I am not sure how to push the agent I installed to the managed system. From your response, it sounds like there is something I missed. Here is the screen shot for the software component info and the bytecode installation screen. Please advise.

    As you can see, the new agent is not selectable in the introscope agent setup even though it is installed. Not sure what I am missing.

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Thanks, Francois! You are right. As you said, even though it is showing instrumentation version 8.2.4, when I click apply, it does push the Wily agent V9 to it. The version still shows "!= ccms" though. However, I don't think it matters. When I check the configtool, it is pointing to the V9 agent.

  • Aug 14, 2013 at 09:33 AM

    Hi,

    Its not like that, you can go ahead for update of wily EM, no harm on bytecode agent, its get deployed automatically by smd, even system itself prompts you for activities in solman_Setup, you need to rerun after the upgrade.

    refer here https://websmp104.sap-ag.de/~sapidb/011000358700000019302012E and proceed.

    Thanks

    Jansi

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hi, Jansi

      I don't understand your comment and am aware of the doc you mentioned.

      My question is how can you update the Wily agent inside the solution manager so that when I push the agent in solman_setup to the managed system, the Wily agent will become version 9 instead of version 8 that comes with the solman 7.1 installation.

      Thanks,

      Jonathan.

  • avatar image
    Former Member
    Aug 14, 2013 at 08:49 PM

    Hi, can anyone help?

    By the way, I have already installed the version 9 of the agent file(ISAGENTJ510P_3-10010975.SCA) via SDM as suggested in the documentation. However, in the bytecode installation screen, I can only see the V8 agent listed. Do I need to uninstall the V8 agent from SDM? How does the SMD know what agent to use?

    I spent the last hour in google and got no answer. I have a feeling that the wily installation doc is missing something.

    Thanks,

    Jonathan.

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Perhaps if you could provide a screenshot of what you are looking at, so everyone can be on the same page?

      I think I know what you are talking about, you are looking at the Introscope probes?